io.vertx.ext.mail

## Class MailServiceVertxProxyHandler

- java.lang.Object
- - io.vertx.serviceproxy.ProxyHandler
  - - io.vertx.ext.mail.MailServiceVertxProxyHandler

- All Implemented Interfaces:
    Handler<Message<JsonObject>>

      public class MailServiceVertxProxyHandler
      extends io.vertx.serviceproxy.ProxyHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_CONNECTION_TIMEOUT`

    - ### Fields inherited from class io.vertx.serviceproxy.ProxyHandler

      `closed, consumer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailServiceVertxProxyHandler(Vertx vertx, MailService service)`
    `MailServiceVertxProxyHandler(Vertx vertx, MailService service, boolean topLevel, long timeoutSeconds)`
    `MailServiceVertxProxyHandler(Vertx vertx, MailService service, long timeoutInSecond)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `handle(Message<JsonObject> msg)` Something has happened, so handle it.
    `MessageConsumer<JsonObject>` | `registerHandler(String address)`

    - ### Methods inherited from class io.vertx.serviceproxy.ProxyHandler

      `setConsumer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONNECTION_TIMEOUT

          public static final long DEFAULT_CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MailServiceVertxProxyHandler

          public MailServiceVertxProxyHandler(Vertx vertx,
                                              MailService service)

    - #### MailServiceVertxProxyHandler

          public MailServiceVertxProxyHandler(Vertx vertx,
                                              MailService service,
                                              long timeoutInSecond)

    - #### MailServiceVertxProxyHandler

          public MailServiceVertxProxyHandler(Vertx vertx,
                                              MailService service,
                                              boolean topLevel,
                                              long timeoutSeconds)

  - ### Method Detail

    - #### registerHandler

          public MessageConsumer<JsonObject> registerHandler(String address)

      Specified by:
        `registerHandler` in class `io.vertx.serviceproxy.ProxyHandler`

    - #### close

          public void close()

      Overrides:
        `close` in class `io.vertx.serviceproxy.ProxyHandler`

    - #### handle

          public void handle(Message<JsonObject> msg)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Parameters:
        `msg` - the event to handle

Copyright © 2015. All Rights Reserved.